Index: /code/branches/FICN/src/orxonox/core/ConfigValueContainer.cc
===================================================================
--- /code/branches/FICN/src/orxonox/core/ConfigValueContainer.cc	(revision 714)
+++ /code/branches/FICN/src/orxonox/core/ConfigValueContainer.cc	(revision 715)
@@ -621,5 +621,5 @@
         if (pos1 < input.length() && pos2 < input.length() && pos1 < pos2)
         {
-            std::vector<String> tokens = tokenize(input.substr(pos1, pos2 - pos1), ",");
+            std::vector<std::string> tokens = tokenize(input.substr(pos1, pos2 - pos1), ",");
             if (!string2Number(this->value_colourvalue_.r, tokens[0], defvalue.r))
             {
@@ -678,5 +678,5 @@
 
         // The string of the section we're searching
-        String section = "";
+        std::string section = "";
         section.append("[");
         section.append(this->classname_);
@@ -685,5 +685,5 @@
         // Iterate through all config-file-lines
         bool success = false;
-        std::list<String>::iterator it1;
+        std::list<std::string>::iterator it1;
         for(it1 = ConfigValueContainer::getConfigFileLines().begin(); it1 != ConfigValueContainer::getConfigFileLines().end(); ++it1)
         {
@@ -696,8 +696,8 @@
                 // We found the right section
                 bool bLineIsEmpty = false;
-                std::list<String>::iterator positionToPutNewLineAt;
+                std::list<std::string>::iterator positionToPutNewLineAt;
 
                 // Iterate through all lines in the section
-                std::list<String>::iterator it2;
+                std::list<std::string>::iterator it2;
                 for(it2 = ++it1; it2 != ConfigValueContainer::getConfigFileLines().end(); ++it2)
                 {
@@ -777,8 +777,8 @@
         @return True = it's a comment
     */
-    bool ConfigValueContainer::isComment(const String& line)
+    bool ConfigValueContainer::isComment(const std::string& line)
     {
         // Strip the line, whitespaces are disturbing
-        String teststring = getStrippedLine(line);
+        std::string teststring = getStrippedLine(line);
 
         // There are four possible comment-symbols:
@@ -798,5 +798,5 @@
         @return True = it's empty
     */
-    bool ConfigValueContainer::isEmpty(const String& line)
+    bool ConfigValueContainer::isEmpty(const std::string& line)
     {
         return getStrippedLine(line) == "";
@@ -808,7 +808,7 @@
         @return The stripped line
     */
-    String ConfigValueContainer::getStrippedLine(const String& line)
-    {
-        String output = line;
+    std::string ConfigValueContainer::getStrippedLine(const std::string& line)
+    {
+        std::string output = line;
         unsigned int pos;
         while ((pos = output.find(" ")) < output.length())
@@ -825,7 +825,7 @@
         @return The value-string
     */
-    String ConfigValueContainer::parseValueString(bool bStripped)
-    {
-        String output;
+    std::string ConfigValueContainer::parseValueString(bool bStripped)
+    {
+        std::string output;
         if (bStripped)
             output = this->getStrippedLine(*this->configFileLine_);
@@ -839,8 +839,8 @@
         @returns a list, containing all entrys in the config-file.
     */
-    std::list<String>& ConfigValueContainer::getConfigFileLines()
+    std::list<std::string>& ConfigValueContainer::getConfigFileLines()
     {
         // This is done to avoid problems while executing this code before main()
-        static std::list<String> configFileLinesStaticReference = std::list<String>();
+        static std::list<std::string> configFileLinesStaticReference = std::list<std::string>();
         return configFileLinesStaticReference;
     }
@@ -866,5 +866,5 @@
         @param filename The name of the config-file
     */
-    void ConfigValueContainer::readConfigFile(const String& filename)
+    void ConfigValueContainer::readConfigFile(const std::string& filename)
     {
         // This creates the file if it's not existing
@@ -913,5 +913,5 @@
         @param filename The name of the config-file
     */
-    void ConfigValueContainer::writeConfigFile(const String& filename)
+    void ConfigValueContainer::writeConfigFile(const std::string& filename)
     {
         // Make sure we stored the config-file in the list
@@ -930,5 +930,5 @@
 
         // Iterate through the list an write the lines into the file
-        std::list<String>::iterator it;
+        std::list<std::string>::iterator it;
         for (it = ConfigValueContainer::getConfigFileLines().begin(); it != ConfigValueContainer::getConfigFileLines().end(); ++it)
         {
@@ -943,9 +943,9 @@
         @param description The description
     */
-    void ConfigValueContainer::description(const String& description)
+    void ConfigValueContainer::description(const std::string& description)
     {
         if (!this->bAddedDescription_)
         {
-            this->description_ = String("ConfigValueDescription::" + this->classname_ + "::" + this->varname_);
+            this->description_ = std::string("ConfigValueDescription::" + this->classname_ + "::" + this->varname_);
             Language::getLanguage().addEntry(description_, description);
             this->bAddedDescription_ = true;
Index: /code/branches/FICN/src/orxonox/core/ConfigValueContainer.h
===================================================================
--- /code/branches/FICN/src/orxonox/core/ConfigValueContainer.h	(revision 714)
+++ /code/branches/FICN/src/orxonox/core/ConfigValueContainer.h	(revision 715)
@@ -44,4 +44,5 @@
 
 #include <list>
+#include <string>
 
 #include "CorePrereqs.h"
@@ -51,5 +52,4 @@
 #include "misc/Matrix3.h"
 #include "misc/Quaternion.h"
-#include "misc/String.h"
 #include "misc/ColourValue.h"
 #include "Language.h"
@@ -93,17 +93,17 @@
             };
 
-            ConfigValueContainer(const String& classname, const String& varname, int defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, unsigned int defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, char defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, unsigned char defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, float defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, double defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, long double defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, bool defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, const String& defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, const char* defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, Vector2 defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, Vector3 defvalue);
-            ConfigValueContainer(const String& classname, const String& varname, ColourValue defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, int defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, unsigned int defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, char defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, unsigned char defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, float defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, double defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, long double defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, bool defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, const std::string& defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, const char* defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, Vector2 defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, Vector3 defvalue);
+            ConfigValueContainer(const std::string& classname, const std::string& varname, ColourValue defvalue);
 
             /** @returns the value. @param value This is only needed to determine the right type. */
@@ -124,5 +124,5 @@
             inline ConfigValueContainer& getValue(bool& value)                          { value = this->value_.value_bool_; return *this; }
             /** @returns the value. @param value This is only needed to determine the right type. */
-            inline ConfigValueContainer& getValue(String& value)                   { value = this->value_string_; return *this; }
+            inline ConfigValueContainer& getValue(std::string& value)                   { value = this->value_string_; return *this; }
             /** @returns the value. @param value This is only needed to determine the right type. */
             inline ConfigValueContainer& getValue(const char* value)                    { value = this->value_string_.c_str(); return *this; }
@@ -134,40 +134,40 @@
             inline ConfigValueContainer& getValue(ColourValue& value)             { value = this->value_colourvalue_; return *this; }
 
-            void description(const String& description);
+            void description(const std::string& description);
 
-            bool parseSting(const String& input);
+            bool parseSting(const std::string& input);
             void resetConfigFileEntry();
             void resetConfigValue();
 
-            static String getStrippedLine(const String& line);
-            static bool isEmpty(const String& line);
-            static bool isComment(const String& line);
+            static std::string getStrippedLine(const std::string& line);
+            static bool isEmpty(const std::string& line);
+            static bool isComment(const std::string& line);
 
         private:
-            bool parseSting(const String& input, int defvalue);
-            bool parseSting(const String& input, unsigned int defvalue);
-            bool parseSting(const String& input, char defvalue);
-            bool parseSting(const String& input, unsigned char defvalue);
-            bool parseSting(const String& input, float defvalue);
-            bool parseSting(const String& input, double defvalue);
-            bool parseSting(const String& input, long double defvalue);
-            bool parseSting(const String& input, bool defvalue);
-            bool parseSting(const String& input, const String& defvalue);
-            bool parseSting(const String& input, const char* defvalue);
-            bool parseSting(const String& input, const Vector2& defvalue);
-            bool parseSting(const String& input, const Vector3& defvalue);
-            bool parseSting(const String& input, const ColourValue& defvalue);
+            bool parseSting(const std::string& input, int defvalue);
+            bool parseSting(const std::string& input, unsigned int defvalue);
+            bool parseSting(const std::string& input, char defvalue);
+            bool parseSting(const std::string& input, unsigned char defvalue);
+            bool parseSting(const std::string& input, float defvalue);
+            bool parseSting(const std::string& input, double defvalue);
+            bool parseSting(const std::string& input, long double defvalue);
+            bool parseSting(const std::string& input, bool defvalue);
+            bool parseSting(const std::string& input, const std::string& defvalue);
+            bool parseSting(const std::string& input, const char* defvalue);
+            bool parseSting(const std::string& input, const Vector2& defvalue);
+            bool parseSting(const std::string& input, const Vector3& defvalue);
+            bool parseSting(const std::string& input, const ColourValue& defvalue);
 
-            static std::list<String>& getConfigFileLines();
+            static std::list<std::string>& getConfigFileLines();
             static bool finishedReadingConfigFile(bool finished = false);
             void searchConfigFileLine();
-            String parseValueString(bool bStripped = true);
+            std::string parseValueString(bool bStripped = true);
 
-            static void readConfigFile(const String& filename);
-            static void writeConfigFile(const String& filename);
+            static void readConfigFile(const std::string& filename);
+            static void writeConfigFile(const std::string& filename);
 
-            String         classname_;                     //!< The name of the class the variable belongs to
-            String         varname_;                       //!< The name of the variable
-            String         defvalueString_;                //!< The string of the default-variable
+            std::string         classname_;                     //!< The name of the class the variable belongs to
+            std::string         varname_;                       //!< The name of the variable
+            std::string         defvalueString_;                //!< The string of the default-variable
 
             union MultiType
@@ -183,10 +183,10 @@
             } value_;                                           //!< The value of the variable
 
-            String         value_string_;                  //!< The value, if the variable is of the type string
+            std::string         value_string_;                  //!< The value, if the variable is of the type string
             Vector2       value_vector2_;                 //!< The value, if the variable is of the type Vector2
             Vector3       value_vector3_;                 //!< The value, if the variable is of the type Vector3
             ColourValue   value_colourvalue_;             //!< The value, if the variable is of the type ColourValue
 
-            std::list<String>::iterator configFileLine_;   //!< An iterator, pointing to the entry of the variable in the config-file
+            std::list<std::string>::iterator configFileLine_;   //!< An iterator, pointing to the entry of the variable in the config-file
 
             VariableType type_;                                 //!< The type of the variable
Index: /code/branches/FICN/src/orxonox/core/Error.cc
===================================================================
--- /code/branches/FICN/src/orxonox/core/Error.cc	(revision 714)
+++ /code/branches/FICN/src/orxonox/core/Error.cc	(revision 715)
@@ -36,10 +36,10 @@
 	}
 
-	Error::Error(String errorMsg, int errorCode)
+	Error::Error(std::string errorMsg, int errorCode)
 	{
 		Error(errorCode, errorMsg);
 	}
 
-	Error::Error(int errorCode, String errorMsg)
+	Error::Error(int errorCode, std::string errorMsg)
 	{
 		COUT(1) << "############################ "<< std::endl
Index: /code/branches/FICN/src/orxonox/core/Error.h
===================================================================
--- /code/branches/FICN/src/orxonox/core/Error.h	(revision 714)
+++ /code/branches/FICN/src/orxonox/core/Error.h	(revision 715)
@@ -29,7 +29,7 @@
 #define _Error_H__
 
+#include <string>
+
 #include "CorePrereqs.h"
-
-#include "misc/String.h"
 
 namespace orxonox
@@ -39,6 +39,6 @@
 	public:
 		Error();
-		Error(String errorMsg, int errorCode = 0);
-		Error(int errorCode, String errorMsg = "");
+		Error(std::string errorMsg, int errorCode = 0);
+		Error(int errorCode, std::string errorMsg = "");
 	private:
 
Index: /code/branches/FICN/src/orxonox/core/Factory.cc
===================================================================
--- /code/branches/FICN/src/orxonox/core/Factory.cc	(revision 714)
+++ /code/branches/FICN/src/orxonox/core/Factory.cc	(revision 715)
@@ -42,5 +42,5 @@
         @param name The name of the wanted Identifier
     */
-    Identifier* Factory::getIdentifier(const String& name)
+    Identifier* Factory::getIdentifier(const std::string& name)
     {
         return getFactoryPointer()->identifierStringMap_[name];
@@ -61,5 +61,5 @@
         @param identifier The identifier to add
     */
-    void Factory::add(const String& name, Identifier* identifier)
+    void Factory::add(const std::string& name, Identifier* identifier)
     {
         getFactoryPointer()->identifierStringMap_[name] = identifier;
@@ -85,5 +85,5 @@
     {
         COUT(3) << "*** Factory -> Create class-hierarchy" << std::endl;
-        std::map<String, Identifier*>::iterator it;
+        std::map<std::string, Identifier*>::iterator it;
         it = getFactoryPointer()->identifierStringMap_.begin();
         (*getFactoryPointer()->identifierStringMap_.begin()).second->startCreatingHierarchy();
Index: /code/branches/FICN/src/orxonox/core/Factory.h
===================================================================
--- /code/branches/FICN/src/orxonox/core/Factory.h	(revision 714)
+++ /code/branches/FICN/src/orxonox/core/Factory.h	(revision 715)
@@ -45,8 +45,7 @@
 
 #include <map>
+#include <string>
 
 #include "CorePrereqs.h"
-
-#include "misc/String.h"
 
 namespace orxonox
@@ -61,7 +60,7 @@
     {
         public:
-            static Identifier* getIdentifier(const String& name);
+            static Identifier* getIdentifier(const std::string& name);
             static Identifier* getIdentifier(const unsigned int id);
-            static void add(const String& name, Identifier* identifier);
+            static void add(const std::string& name, Identifier* identifier);
             static void changeNetworkID(Identifier* identifier, const unsigned int oldID, const unsigned int newID);
             static void createClassHierarchy();
@@ -74,5 +73,5 @@
             ~Factory() {}                           // don't delete
 
-            std::map<String, Identifier*> identifierStringMap_;            //!< The map, mapping the name with the Identifier
+            std::map<std::string, Identifier*> identifierStringMap_;            //!< The map, mapping the name with the Identifier
             std::map<unsigned int, Identifier*> identifierNetworkIDMap_;        //!< The map, mapping the network ID with the Identifier
     };
Index: /code/branches/FICN/src/orxonox/core/Identifier.cc
===================================================================
--- /code/branches/FICN/src/orxonox/core/Identifier.cc	(revision 714)
+++ /code/branches/FICN/src/orxonox/core/Identifier.cc	(revision 715)
@@ -118,7 +118,7 @@
         @returns a reference to the Identifier map, containing all Identifiers.
     */
-    std::map<String, Identifier*>& Identifier::getIdentifierMap()
+    std::map<std::string, Identifier*>& Identifier::getIdentifierMap()
     {
-        static std::map<String, Identifier*> identifierMapStaticReference = std::map<String, Identifier*>();
+        static std::map<std::string, Identifier*> identifierMapStaticReference = std::map<std::string, Identifier*>();
         return identifierMapStaticReference;
     }
Index: /code/branches/FICN/src/orxonox/core/Identifier.h
===================================================================
--- /code/branches/FICN/src/orxonox/core/Identifier.h	(revision 714)
+++ /code/branches/FICN/src/orxonox/core/Identifier.h	(revision 715)
@@ -53,8 +53,8 @@
 
 #include <map>
+#include <string>
 
 #include "CorePrereqs.h"
 
-#include "misc/String.h"
 #include "ObjectList.h"
 #include "IdentifierList.h"
@@ -112,5 +112,5 @@
 
             /** @returns the name of the class the Identifier belongs to. */
-            inline const String& getName() const { return this->name_; }
+            inline const std::string& getName() const { return this->name_; }
 
             /** @returns the parents of the class the Identifier belongs to. */
@@ -130,12 +130,12 @@
 
             /** @returns the ConfigValueContainer of a variable, given by the string of its name. @param varname The name of the variable */
-            inline ConfigValueContainer* getConfigValueContainer(const String& varname)
+            inline ConfigValueContainer* getConfigValueContainer(const std::string& varname)
                 { return this->configValues_[varname]; }
 
             /** @brief Sets the ConfigValueContainer of a variable, given by the string of its name. @param varname The name of the variablee @param container The container */
-            inline void setConfigValueContainer(const String& varname, ConfigValueContainer* container)
+            inline void setConfigValueContainer(const std::string& varname, ConfigValueContainer* container)
                 { this->configValues_[varname] = container; }
 
-            static std::map<String, Identifier*>& getIdentifierMap();
+            static std::map<std::string, Identifier*>& getIdentifierMap();
 
         private:
@@ -166,5 +166,5 @@
             IdentifierList* children_;                                  //!< The Children of the class the Identifier belongs to
 
-            String name_;                                          //!< The name of the class the Identifier belongs to
+            std::string name_;                                          //!< The name of the class the Identifier belongs to
 
             BaseFactory* factory_;                                      //!< The Factory, able to create new objects of the given class (if available)
@@ -172,5 +172,5 @@
             static int hierarchyCreatingCounter_s;                      //!< Bigger than zero if at least one Identifier stores its parents (its an int instead of a bool to avoid conflicts with multithreading)
             unsigned int classID_;                                      //!< The network ID to identify a class through the network
-            std::map<String, ConfigValueContainer*> configValues_; //!< A map to link the string of configurable variables with their ConfigValueContainer
+            std::map<std::string, ConfigValueContainer*> configValues_; //!< A map to link the string of configurable variables with their ConfigValueContainer
     };
 
@@ -189,8 +189,8 @@
     {
         public:
-            static ClassIdentifier<T>* registerClass(const IdentifierList* parents, const String& name, bool bRootClass);
+            static ClassIdentifier<T>* registerClass(const IdentifierList* parents, const std::string& name, bool bRootClass);
             static void addObject(T* object);
             static ClassIdentifier<T>* getIdentifier();
-            void setName(const String& name);
+            void setName(const std::string& name);
 
         private:
@@ -221,5 +221,5 @@
     */
     template <class T>
-    ClassIdentifier<T>* ClassIdentifier<T>::registerClass(const IdentifierList* parents, const String& name, bool bRootClass)
+    ClassIdentifier<T>* ClassIdentifier<T>::registerClass(const IdentifierList* parents, const std::string& name, bool bRootClass)
     {
         COUT(4) << "*** Register Class in " << name << "-Singleton." << std::endl;
@@ -265,5 +265,5 @@
     */
     template <class T>
-    void ClassIdentifier<T>::setName(const String& name)
+    void ClassIdentifier<T>::setName(const std::string& name)
     {
         // Make sure we didn't already set the name, to avoid duplicate entries in the Identifier map
@@ -271,5 +271,5 @@
         {
             this->name_ = name;
-            this->getIdentifierMap().insert(std::pair<String, Identifier*>(name, this));
+            this->getIdentifierMap().insert(std::pair<std::string, Identifier*>(name, this));
             this->bSetName_ = true;
         }
Index: /code/branches/FICN/src/orxonox/core/IdentifierList.cc
===================================================================
--- /code/branches/FICN/src/orxonox/core/IdentifierList.cc	(revision 714)
+++ /code/branches/FICN/src/orxonox/core/IdentifierList.cc	(revision 715)
@@ -130,8 +130,8 @@
         @returns a string, containing a list of the names of all Identifiers in the list.
     */
-    String IdentifierList::toString() const
+    std::string IdentifierList::toString() const
     {
         IdentifierListElement* temp = this->first_;
-        String output = "";
+        std::string output = "";
 
         while (temp)
Index: /code/branches/FICN/src/orxonox/core/IdentifierList.h
===================================================================
--- /code/branches/FICN/src/orxonox/core/IdentifierList.h	(revision 714)
+++ /code/branches/FICN/src/orxonox/core/IdentifierList.h	(revision 715)
@@ -37,7 +37,7 @@
 #define _IdentifierList_H__
 
+#include <string>
+
 #include "CorePrereqs.h"
-
-#include "misc/String.h"
 
 namespace orxonox
@@ -62,5 +62,5 @@
             void remove(const Identifier* identifier);
             bool isInList(const Identifier* identifier) const;
-            String toString() const;
+            std::string toString() const;
 
             IdentifierListElement* first_;      //!< The first element in the list
Index: /code/branches/FICN/src/orxonox/core/Language.cc
===================================================================
--- /code/branches/FICN/src/orxonox/core/Language.cc	(revision 714)
+++ /code/branches/FICN/src/orxonox/core/Language.cc	(revision 715)
@@ -36,5 +36,5 @@
     // ###      LanguageEntry      ###
     // ###############################
-    LanguageEntry::LanguageEntry(const String& fallbackEntry)
+    LanguageEntry::LanguageEntry(const std::string& fallbackEntry)
     {
         RegisterRootObject(LanguageEntry);
@@ -44,5 +44,5 @@
     }
 
-    void LanguageEntry::setTranslation(const String& translation)
+    void LanguageEntry::setTranslation(const std::string& translation)
     {
         if (translation.compare("") != 0)
@@ -52,5 +52,5 @@
     }
 
-    void LanguageEntry::setDefault(const String& fallbackEntry)
+    void LanguageEntry::setDefault(const std::string& fallbackEntry)
     {
         if (this->translatedEntry_.compare(this->fallbackEntry_) == 0)
@@ -85,5 +85,5 @@
     }
 
-    void Language::createEntry(const LanguageEntryName& name, const String& entry)
+    void Language::createEntry(const LanguageEntryName& name, const std::string& entry)
     {
         if (!this->languageEntries_[name])
@@ -99,7 +99,7 @@
     }
 
-    void Language::addEntry(const LanguageEntryName& name, const String& entry)
-    {
-        std::map<String, LanguageEntry*>::const_iterator it = this->languageEntries_.find(name);
+    void Language::addEntry(const LanguageEntryName& name, const std::string& entry)
+    {
+        std::map<std::string, LanguageEntry*>::const_iterator it = this->languageEntries_.find(name);
         if (!it->second)
             this->createEntry(name, entry);
@@ -112,7 +112,7 @@
     }
 
-    const String& Language::getTranslation(const LanguageEntryName& name) const
-    {
-        std::map<String, LanguageEntry*>::const_iterator it = this->languageEntries_.find(name);
+    const std::string& Language::getTranslation(const LanguageEntryName& name) const
+    {
+        std::map<std::string, LanguageEntry*>::const_iterator it = this->languageEntries_.find(name);
         if (it->second)
             return it->second->getTranslation();
@@ -124,7 +124,7 @@
     }
 
-    const String Language::getFileName(const String& language)
-    {
-        return String("translation_" + language + ".lang");
+    const std::string Language::getFileName(const std::string& language)
+    {
+        return std::string("translation_" + language + ".lang");
     }
 
@@ -154,5 +154,5 @@
         {
             file.getline(line, 1024);
-            String lineString = String(line);
+            std::string lineString = std::string(line);
             if (lineString.compare("") != 0)
             {
@@ -190,5 +190,5 @@
         {
             file.getline(line, 1024);
-            String lineString = String(line);
+            std::string lineString = std::string(line);
             if (lineString.compare("") != 0)
             {
@@ -196,5 +196,5 @@
                 if (pos < lineString.size() && lineString.size() >= 3)
                 {
-                    std::map<String, LanguageEntry*>::const_iterator it = this->languageEntries_.find(lineString.substr(0, pos));
+                    std::map<std::string, LanguageEntry*>::const_iterator it = this->languageEntries_.find(lineString.substr(0, pos));
                     if (it->second)
                         it->second->setTranslation(lineString.substr(pos + 1));
Index: /code/branches/FICN/src/orxonox/core/Language.h
===================================================================
--- /code/branches/FICN/src/orxonox/core/Language.h	(revision 714)
+++ /code/branches/FICN/src/orxonox/core/Language.h	(revision 715)
@@ -30,30 +30,30 @@
 
 #include <map>
+#include <string>
 
 #include "CorePrereqs.h"
 
-#include "misc/String.h"
 #include "OrxonoxClass.h"
 
 namespace orxonox
 {
-    typedef String LanguageEntryName;
+    typedef std::string LanguageEntryName;
 
     class _CoreExport LanguageEntry : public OrxonoxClass
     {
         public:
-            explicit LanguageEntry(const String& fallbackEntry);
-            void setTranslation(const String& translation);
-            void setDefault(const String& fallbackEntry);
+            explicit LanguageEntry(const std::string& fallbackEntry);
+            void setTranslation(const std::string& translation);
+            void setDefault(const std::string& fallbackEntry);
 
-            inline const String& getTranslation()
+            inline const std::string& getTranslation()
                 { return this->translatedEntry_; }
 
-            inline const String& getDefault()
+            inline const std::string& getDefault()
                 { return this->fallbackEntry_; }
 
         private:
-            String fallbackEntry_;
-            String translatedEntry_;
+            std::string fallbackEntry_;
+            std::string translatedEntry_;
     };
 
@@ -63,6 +63,6 @@
             static Language& getLanguage();
             void setConfigValues();
-            void addEntry(const LanguageEntryName& name, const String& entry);
-            const String& getTranslation(const LanguageEntryName& name) const;
+            void addEntry(const LanguageEntryName& name, const std::string& entry);
+            const std::string& getTranslation(const LanguageEntryName& name) const;
 
         private:
@@ -74,11 +74,11 @@
             void readTranslatedLanguageFile();
             void writeDefaultLanguageFile() const;
-            static const String getFileName(const String& language);
-            void createEntry(const LanguageEntryName& name, const String& entry);
+            static const std::string getFileName(const std::string& language);
+            void createEntry(const LanguageEntryName& name, const std::string& entry);
 
-            String language_;
-            String defaultLanguage_;
-            String defaultTranslation_;
-            std::map<String, LanguageEntry*> languageEntries_;
+            std::string language_;
+            std::string defaultLanguage_;
+            std::string defaultTranslation_;
+            std::map<std::string, LanguageEntry*> languageEntries_;
     };
 }
